"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = exports.ButtonCSS = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _styledSystem = require("styled-system");

var _polished = require("polished");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const variantShared = {
  color: 'white',
  'border-color': 'transparent',
  '& svg': {
    fill: 'white'
  },
  '&:disabled': {
    bg: 'greyLight'
  }
};
const buttonVariants = (0, _styledSystem.variant)({
  variants: {
    primary: {
      bg: 'bluePrimary',
      '&:hover': {
        bg: 'blueHover'
      },
      ...variantShared
    },
    danger: {
      bg: 'red',
      ...variantShared
    },
    success: {
      bg: 'treal',
      ...variantShared
    },
    info: {
      bg: 'blueLight',
      ...variantShared
    },
    secondary: {
      bg: 'blueSecondary',
      ...variantShared
    },
    text: {
      color: 'bluePrimary',
      bg: 'transparent',
      borderColor: 'transparent',
      '&:disabled': {
        'border-color': 'transparent'
      },
      '&:hover': {
        background: 'transparent',
        color: 'blueHover',
        'border-color': 'transparent',
        'text-decoration': 'underline'
      },
      '&:focus': {
        background: 'transparent',
        'border-color': 'transparent'
      },
      '& svg': {
        fill: 'bluePrimary'
      },
      '&:hover svg': {
        fill: 'blueHover'
      }
    }
  }
});
const sizeVariants = (0, _styledSystem.variant)({
  prop: 'size',
  variants: {
    sm: {
      fontSize: 'default',
      py: 'sm',
      px: 'xxl',
      '& svg': {
        paddingRight: 'sm'
      }
    },
    lg: {
      py: 'default',
      lineHeight: 'lg'
    },
    icon: {
      py: 'default',
      px: 'default',
      lineHeight: 'sm',
      minWidth: '34px',
      height: '34px',
      '& svg': {
        padding: 0
      }
    }
  }
});
const ButtonCSS = (0, _styledComponents.css)(["outline:0;display:inline-block;font-family:", ";line-height:", ";border:1px solid ", ";color:", ";cursor:pointer;text-decoration:none;padding:", " ", ";box-sizing:border-box;& svg{vertical-align:middle;padding-bottom:2px;width:16px;height:16px;fill:", ";padding-right:", ";}&:hover{color:", ";background:", ";border-color:", ";svg{fill:", ";}}&:focus{border-color:", ";box-shadow:0 2px 4px 0 ", ";}&:disabled{color:", ";border-color:", ";background:", ";cursor:default;& svg{fill:", ";}}", ";", ";", ";", ";", ";", ";"], ({
  theme
}) => theme.font, ({
  theme
}) => theme.lineHeights.lg, ({
  theme
}) => theme.colors.bluePrimary, ({
  theme
}) => theme.colors.bluePrimary, ({
  theme
}) => theme.space.default, ({
  theme
}) => theme.space.x3, ({
  theme
}) => theme.colors.bluePrimary, ({
  theme
}) => theme.space.default, ({
  theme
}) => theme.colors.white, ({
  theme
}) => theme.colors.blueHover, ({
  theme
}) => theme.colors.blueHover, ({
  theme
}) => theme.colors.white, ({
  theme
}) => theme.colors.blueSecondary, ({
  theme
}) => (0, _polished.opacify)(0.3, theme.colors.blueSecondary), ({
  theme
}) => theme.colors.grey, ({
  theme
}) => theme.colors.darkGrey, ({
  theme
}) => theme.colors.white, ({
  theme
}) => theme.colors.grey, ({
  rounded
}) => rounded ? 'border-radius: 9999px' : '', _styledSystem.color, _styledSystem.space, _styledSystem.typography, buttonVariants, sizeVariants);
exports.ButtonCSS = ButtonCSS;

const Button = _styledComponents.default.button.withConfig({
  displayName: "button__Button",
  componentId: "sc-3bpuam-0"
})(["", ""], ButtonCSS);

exports.Button = Button;
Button.defaultProps = {
  fontSize: 'default',
  bg: 'transparent'
};