"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styledSystem = require("styled-system");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const sizeVariants = (0, _styledSystem.variant)({
  prop: 'size',
  variants: {
    sm: {
      fontSize: 'xs',
      py: 'sm'
    },
    lg: {
      fontSize: 'default'
    }
  }
});
const variants = (0, _styledSystem.variant)({
  variants: {
    primary: {
      color: 'bluePrimary',
      '&:hover': {
        color: 'blueHover',
        '& svg': {
          fill: 'blueHover'
        }
      },
      '& svg': {
        fill: 'bluePrimary'
      }
    },
    danger: {
      color: 'red',
      '&:hover': {
        color: 'red'
      },
      '& svg': {
        fill: 'red'
      }
    },
    success: {
      color: 'treal',
      '&:hover': {
        color: 'treal'
      },
      '& svg': {
        fill: 'treal'
      }
    },
    info: {
      color: 'blueLight',
      '&:hover': {
        color: 'blueHover'
      },
      '& svg': {
        fill: 'blueLight'
      }
    },
    secondary: {
      color: 'blueSecondary',
      '&:hover': {
        color: 'blueHover'
      },
      '& svg': {
        fill: 'blueSecondary'
      }
    }
  }
});

const Link = _styledComponents.default.a.withConfig({
  displayName: "link__Link",
  componentId: "sc-1uq0k19-0"
})(["font-family:", ";vertical-align:middle;cursor:pointer;text-decoration:none;&:hover{text-decoration:underline;}& svg{padding-right:", ";vertical-align:text-top;}", " ", ";", ";", ";", ";"], ({
  theme
}) => theme.font, ({
  theme
}) => theme.space.default, ({
  uppercase
}) => uppercase ? 'text-transform: uppercase;' : '', _styledSystem.color, _styledSystem.space, sizeVariants, variants);

exports.Link = Link;
Link.defaultProps = {
  color: 'grey'
};