"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropZoneItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _box = require("../atoms/box");

var _icon = require("../atoms/icon");

var _button = require("../atoms/button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DropZoneImg = _styledComponents.default.img.withConfig({
  displayName: "drop-zone-item__DropZoneImg",
  componentId: "sc-8ai0ll-0"
})(["width:80px;height:80px;margin-right:", ";background-image:url(", ");background-size:cover;background-repeat:no-repeat;background-position:50% 50%;"], ({
  theme
}) => theme.space.lg, ({
  src
}) => src);

const DropZoneItem = props => {
  const {
    file,
    onRemove
  } = props;
  let src;

  if (['image/png', 'image/jpeg', 'image/gif'].includes(file.type)) {
    src = URL.createObjectURL(file);
  }

  return _react.default.createElement(_box.Box, {
    bg: "greyPale",
    px: "lg",
    py: "default",
    mt: "default",
    flex: true,
    alignItems: "center"
  }, _react.default.createElement(_icon.Icon, {
    icon: "Attachment",
    mr: "default"
  }), src ? _react.default.createElement(DropZoneImg, {
    src: src
  }) : '', _react.default.createElement(_box.Box, {
    flexGrow: 1
  }, file.name), _react.default.createElement(_button.Button, {
    variant: "text",
    m: "-8px",
    size: "icon",
    onClick: () => onRemove && onRemove()
  }, _react.default.createElement(_icon.Icon, {
    icon: "Close"
  })));
};

exports.DropZoneItem = DropZoneItem;