"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FormGroup = exports.InputGroup = exports.FormMessage = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _styledSystem = require("styled-system");

var _label = require("../atoms/label");

var _text = require("../atoms/text");

var _button = require("../atoms/button");

var _input = require("../atoms/input");

var _link = require("../atoms/link");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const formGroupDisabledCSS = (0, _styledComponents.css)(["color:", ";"], ({
  theme
}) => theme.colors.greyLight);
const formGroupWithErrorCSS = (0, _styledComponents.css)(["color:", ";", "{color:", ";border-color:", ";}&&& ", "{color:", ";&:before{color:", ";}}&&& ", ",&&& ", ",&&& ", "{border-color:", ";}"], ({
  theme
}) => theme.colors.red, _input.Input, ({
  theme
}) => theme.colors.red, ({
  theme
}) => theme.colors.red, _label.Label, ({
  theme
}) => theme.colors.red, ({
  theme
}) => theme.colors.red, _label.Label, _button.Button, _link.Link, ({
  theme
}) => theme.colors.red);
const FormMessage = (0, _styledComponents.default)(_text.Text).withConfig({
  displayName: "form-group__FormMessage",
  componentId: "sc-19egva9-0"
})(["box-sizing:border-box;vertical-align:middle;height:", ";margin:", " 0 0;font-weight:normal;font-size:", ";"], ({
  theme
}) => theme.space.xl, ({
  theme
}) => theme.space.sm, ({
  theme
}) => theme.fontSizes.sm);
exports.FormMessage = FormMessage;

const InputGroup = _styledComponents.default.div.withConfig({
  displayName: "form-group__InputGroup",
  componentId: "sc-19egva9-1"
})(["position:relative;display:flex;width:100%;", "{flex-grow:1;}", ":not(:last-child){border-right:none;}", ",", ":last-child,", ":last-child{padding:", ";border:solid ", ";border-width:1px 1px 1px 0;margin:0;color:", ";}", ",", ",", "{flex-shrink:0;}", ",", "{line-height:", ";}", ":first-child,", ":first-child{border-right:0;}", ":hover{& + ", ",& + ", ",& + ", "{border-color:", ";}}", ":focus{& + ", ",& + ", ",& + ", "{border-color:", ";}}"], _input.Input, _input.Input, _label.Label, _button.Button, _link.Link, ({
  theme
}) => theme.space.sm, ({
  theme
}) => theme.colors.greyLight, ({
  theme
}) => theme.colors.greyLight, _label.Label, _button.Button, _link.Link, _label.Label, _link.Link, ({
  theme
}) => theme.lineHeights.lg, _button.Button, _link.Link, _input.Input, _label.Label, _button.Button, _link.Link, ({
  theme
}) => theme.colors.grey, _input.Input, _label.Label, _button.Button, _link.Link, ({
  theme
}) => theme.colors.bluePrimary);

exports.InputGroup = InputGroup;

const FormGroup = _styledComponents.default.div.withConfig({
  displayName: "form-group__FormGroup",
  componentId: "sc-19egva9-2"
})(["width:100%;", ";", ";", ";& > ", "{width:100%;}"], ({
  error
}) => error ? formGroupWithErrorCSS : '', ({
  disabled
}) => disabled ? formGroupDisabledCSS : '', _styledSystem.space, _input.Input);

exports.FormGroup = FormGroup;
FormGroup.defaultProps = {
  mb: 'lg'
};