"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Drawer = exports.DrawerContent = exports.DrawerFooter = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styledSystem = require("styled-system");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const variants = (0, _styledSystem.variant)({
  variants: {
    filter: {
      bg: 'blueFilter',
      width: '400px',
      color: 'white',
      '& > *': {
        width: '400px'
      }
    }
  }
});

const DrawerFooter = _styledComponents.default.section.withConfig({
  displayName: "drawer__DrawerFooter",
  componentId: "q9mzyi-0"
})(["", ";"], _styledSystem.space);

exports.DrawerFooter = DrawerFooter;

const DrawerContent = _styledComponents.default.section.withConfig({
  displayName: "drawer__DrawerContent",
  componentId: "q9mzyi-1"
})(["", ";"], _styledSystem.space);

exports.DrawerContent = DrawerContent;

const Drawer = _styledComponents.default.section.withConfig({
  displayName: "drawer__Drawer",
  componentId: "q9mzyi-2"
})(["width:500px;& > *{width:500px;}z-index:100;position:fixed;display:flex;flex-direction:column;top:0;right:0;box-shadow:0 3px 6px ", ";height:100%;overflow-y:auto;overflow-x:hidden;transition:all 500ms;background:", ";box-sizing:border-box;", ";", ";", ";& ", "{padding:", " ", ";text-align:center;border-top:1px solid ", ";flex-shrink:0;}& ", "{flex-grow:1;overflow:auto;padding:", " ", " ", ";box-sizing:border-box;}"], ({
  theme
}) => theme.colors.greyLight, ({
  theme
}) => theme.colors.white, _styledSystem.space, variants, ({
  isHidden
}) => isHidden ? 'width: 0px;' : '', DrawerFooter, ({
  theme
}) => theme.space.xxl, ({
  theme
}) => theme.space.lg, ({
  theme
}) => theme.colors.bluePale, DrawerContent, ({
  theme
}) => theme.space.x3, ({
  theme
}) => theme.space.xxl, ({
  theme
}) => theme.space.xl);

exports.Drawer = Drawer;