"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DropDownItem = exports.DropDownMenu = exports.DropDown = exports.DropDownTrigger = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styledSystem = require("styled-system");

var _link = require("../atoms/link");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const DropDownTrigger = _styledComponents.default.span.withConfig({
  displayName: "drop-down__DropDownTrigger",
  componentId: "sc-1hcx02l-0"
})(["display:inline-block;", ";"], _styledSystem.space);

exports.DropDownTrigger = DropDownTrigger;
DropDownTrigger.displayName = 'DropDownTrigger';

const StyledDropDown = _styledComponents.default.div.withConfig({
  displayName: "drop-down__StyledDropDown",
  componentId: "sc-1hcx02l-1"
})(["position:relative;display:inline-block;"]);

const DropDown = props => {
  const {
    children
  } = props;
  const [isVisible, setIsVisible] = (0, _react.useState)(false);

  const elements = _react.default.Children.map(children, child => {
    const type = child && child.type && child.type.displayName;

    if (type === 'DropDownTrigger') {
      return _react.default.cloneElement(child, {
        onMouseEnter: () => setIsVisible(true)
      });
    }

    if (type === 'DropDownMenu') {
      return _react.default.cloneElement(child, {
        isVisible
      });
    }

    return child;
  });

  return _react.default.createElement(StyledDropDown, {
    onMouseEnter: () => setIsVisible(true),
    onMouseLeave: () => setIsVisible(false)
  }, elements);
};

exports.DropDown = DropDown;

const DropDownMenu = _styledComponents.default.div.withConfig({
  displayName: "drop-down__DropDownMenu",
  componentId: "sc-1hcx02l-2"
})(["background:", ";display:inline-block;position:absolute;z-index:40;right:0;top:24px;box-shadow:0 3px 6px ", ";min-width:200px;", ";", ";"], ({
  theme
}) => theme.colors.white, ({
  theme
}) => theme.colors.greyLight, ({
  isVisible
}) => isVisible ? '' : 'display: none;', _styledSystem.position);

exports.DropDownMenu = DropDownMenu;
DropDownMenu.displayName = 'DropDownMenu';

const DropDownItem = _styledComponents.default.span.withConfig({
  displayName: "drop-down__DropDownItem",
  componentId: "sc-1hcx02l-3"
})(["position:relative;z-index:10000;border:none;color:", ";display:block;font-family:", ";border:solid transparent;border-width:0 ", ";&:hover{border-color:", ";background:", ";}& svg{vertical-align:middle;padding-bottom:2px;padding-right:", ";fill:", ";}& a{color:", ";}", ";& > ", ",& > a{padding:", ";display:block;&:hover{text-decoration:none;}}"], ({
  theme
}) => theme.colors.darkGrey, ({
  theme
}) => theme.font, ({
  theme
}) => theme.space.sm, ({
  theme
}) => theme.colors.bluePrimary, ({
  theme
}) => theme.colors.greyPale, ({
  theme
}) => theme.space.default, ({
  theme
}) => theme.colors.greyLight, ({
  theme
}) => theme.colors.darkGrey, _styledSystem.space, _link.Link, ({
  theme
}) => theme.space.lg);

exports.DropDownItem = DropDownItem;