"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavGroup = void 0;

var _react = _interopRequireWildcard(require("react"));

var _navGroupTitle = require("../molecules/nav-group-title");

var _icon = require("../atoms/icon");

var _box = require("../atoms/box");

var _text = require("../atoms/text");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const NavGroup = props => {
  const {
    title,
    icon,
    children
  } = props;
  const [isItOpen, toggleOpen] = (0, _react.useState)(true);
  const chevron = isItOpen ? 'ChevronUp' : 'ChevronDown';
  return _react.default.createElement(_box.Box, null, _react.default.createElement(_navGroupTitle.NavGroupTitle, {
    onClick: () => toggleOpen(!isItOpen),
    bg: isItOpen ? 'greyPale' : 'transparent'
  }, _react.default.createElement(_icon.Icon, {
    icon: icon || 'Settings'
  }), _react.default.createElement(_text.Text, null, title), _react.default.createElement(_icon.Icon, {
    icon: chevron
  })), isItOpen ? _react.default.createElement(_box.Box, {
    pl: "x3",
    pb: "xl",
    pt: "sm"
  }, children) : '');
};

exports.NavGroup = NavGroup;