import React from 'react';
/**
 * @memberof ErrorBox
 * @alias ErrorBoxProps
 */
export declare type ErrorBoxProps = {
    title: string;
    children: React.ReactNode;
    testId?: string;
};
/**
 * @class
 * Prints error message
 *
 * @component
 * @example
 * return (
 * <ErrorMessageBox title={'Some error'}>
 *   <p>Text below the title</p>
 * </ErrorMessageBox>
 * )
 */
export declare const ErrorBox: React.FC<ErrorBoxProps>;
